## asdf-coordinates-schemas 0.4.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

#This is needed with git because git doesn't create a dir if it's empty
$(shell [ -d "_static" ] || mkdir -p _static)

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)
	-rm -rf api
	-rm -rf generated

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Astropy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Astropy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Astropy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Astropy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## asdf-coordinates-schemas 0.1.0

=== debian/changelog ===
asdf-coordinates-schemas (0.1.0-3) unstable; urgency=medium

  * Add version.py to d/clean (Closes: #1015086)
  * Push Standards-Version to 4.6.1. No changes needed

 -- Ole Streicher <olebole@debian.org>  Sun, 17 Jul 2022 12:26:52 +0200

asdf-coordinates-schemas (0.1.0-2) unstable; urgency=medium

  * Source-only re-upload

 -- Ole Streicher <olebole@debian.org>  Sat, 08 Jan 2022 13:42:41 +0100

asdf-coordinates-schemas (0.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #10030489)

 -- Ole Streicher <olebole@debian.org>  Sat, 08 Jan 2022 13:42:26 +0100

=== debian/control ===
Source: asdf-coordinates-schemas
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-asdf,
               python3-pytest,
               python3-setuptools,
               python3-setuptools-scm
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/debian-astro-team/asdf-coordinates-schemas
Vcs-Git: https://salsa.debian.org/debian-astro-team/asdf-coordinates-schemas.git
Homepage: https://github.com/spacetelescope/asdf-coordinates-schemas
Rules-Requires-Root: no

Package: python3-asdf-coordinates-schemas
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: ASDF schemas for validating coordinates tags
 ASDF (Advanced Scientific Data Format) is a proposed
 next generation interchange format for scientific data. ASDF aims to
 exist in the same middle ground that made FITS so successful, by
 being a hybrid text and binary format: containing human editable
 metadata for interchange, and raw binary data that is fast to load
 and use. Unlike FITS, the metadata is highly structured and is
 designed up-front for extensibility.
 .
 This package provides ASDF schemas for validating coordinates tags.
 Users should not need to install this directly; instead, install an
 implementation package such as asdf-astropy.

## asdf-coordinates-schemas 0.2.0

=== debian/changelog ===
asdf-coordinates-schemas (0.2.0-1) unstable; urgency=medium

  * New upstream version 0.2.0
  * Push Standards-Version to 4.6.2. No changes needed
  * New build dependencies pybuild-plugin-pyproject and py3-tomli

 -- Ole Streicher <olebole@debian.org>  Thu, 22 Jun 2023 20:01:50 +0200

## asdf-coordinates-schemas 0.3.0

=== debian/changelog ===
asdf-coordinates-schemas (0.3.0-2) unstable; urgency=medium

  * Team Upload
  * Fix Homepage
  * Drop python3-tomli build-dependency
  * Push Standards-Version to 4.7.2. No changes needed

 -- Alexandre Detiste <tchet@debian.org>  Mon, 28 Jul 2025 19:39:06 +0200

asdf-coordinates-schemas (0.3.0-1) unstable; urgency=medium

  * New upstream version 0.3.0

 -- Ole Streicher <olebole@debian.org>  Fri, 15 Mar 2024 08:31:11 +0100

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-asdf,
                python3-pytest,
                python3-setuptools,
-               python3-setuptools-scm
-Standards-Version: 4.6.1
+               python3-setuptools-scm,
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/asdf-coordinates-schemas
 Vcs-Git: https://salsa.debian.org/debian-astro-team/asdf-coordinates-schemas.git
-Homepage: https://github.com/spacetelescope/asdf-coordinates-schemas
+Homepage: https://github.com/asdf-format/asdf-coordinates-schemas
 Rules-Requires-Root: no
 
 Package: python3-asdf-coordinates-schemas

## asdf-coordinates-schemas 0.4.0

=== debian/changelog ===
asdf-coordinates-schemas (0.4.0-1) unstable; urgency=medium

  * New upstream version 0.4.0
  * Rediff patches
  * Disable build time tests (require installed pkg)

 -- Ole Streicher <olebole@debian.org>  Mon, 18 Aug 2025 14:00:04 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
                pybuild-plugin-pyproject,
                python3-all,
                python3-asdf,
-               python3-pytest,
                python3-setuptools,
                python3-setuptools-scm,
 Standards-Version: 4.7.2

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export PYBUILD_DISABLE=test

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: SRC=`pwd` && cd $AUTOPKGTEST_TMP && pytest-3 $SRC/tests
Depends: @, python3-pytest

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
 https://pypi.debian.net/@PACKAGE@/asdf_coordinates_schemas@ANY_VERSION@@ARCHIVE_EXT@

## asdf-coordinates-schemas 0.5.1

=== debian/changelog ===
asdf-coordinates-schemas (0.5.1-1) unstable; urgency=medium

  [ Phil Wyett ]
  * Convert 'd/watch' to version 5 format.
  * Remove no longer needed 'Rules-Requires-Root: no'. Now is default behavior.
  * Fix fail to build source after successful build. Closes: #1043782
  * Add 'Files: debian/*' section, add Ole and myslef to that section.

  [ Ole Streicher ]
  * Push Standards-Version to 4.7.3, no changes needed
  * d/watch: Use Github as upstream source
  * New upstream version 0.5.1
  * Reformat pr65.patch to Prefer-tomllib-...-available.patch (Closes: #1115842)
  * Create MANIFEST.in to let setuptools_scm work without git (Closes: #1115833)

 -- Ole Streicher <olebole@debian.org>  Wed, 18 Feb 2026 17:17:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,26 @@
 Source: asdf-coordinates-schemas
+Standards-Version: 4.7.3
 Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
-Uploaders: Ole Streicher <olebole@debian.org>
+Uploaders:
+ Ole Streicher <olebole@debian.org>,
 Section: python
-Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-python3,
-               pybuild-plugin-pyproject,
-               python3-all,
-               python3-asdf,
-               python3-setuptools,
-               python3-setuptools-scm,
-Standards-Version: 4.7.2
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
+ python3-all,
+ python3-asdf,
+ python3-setuptools,
+ python3-setuptools-scm,
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/asdf-coordinates-schemas
 Vcs-Git: https://salsa.debian.org/debian-astro-team/asdf-coordinates-schemas.git
 Homepage: https://github.com/asdf-format/asdf-coordinates-schemas
-Rules-Requires-Root: no
 
 Package: python3-asdf-coordinates-schemas
 Architecture: all
-Depends: ${misc:Depends},
-         ${python3:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
 Description: ASDF schemas for validating coordinates tags
  ASDF (Advanced Scientific Data Format) is a proposed
  next generation interchange format for scientific data. ASDF aims to

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,16 @@
 
 %:
 	dh $@ --buildsystem=pybuild
+
+# setuptools_scm tries to get the file list from "git ls", which
+# doesn't work on the autobuilders. That's why we manually create a
+# MANIFEST.in by just listing everything and prepending this a (still
+# possible) upstream provided one.
+execute_after_dh_auto_configure:
+	if [ -f MANIFEST.in ]; then mv MANIFEST.in MANIFEST.orig; fi
+	find . \( -path './.git' -o -path './debian' \) -prune -o -not -type d -printf "include %P\n" > MANIFEST.in
+	if [ -f MANIFEST.orig ]; then cat MANIFEST.orig >> MANIFEST.in; fi
+
+execute_after_dh_auto_clean:
+	rm -f MANIFEST.in
+	if [ -f MANIFEST.orig ]; then mv MANIFEST.orig MANIFEST.in; fi

=== debian/watch ===
Version: 5
Template: Github
Owner: asdf-format
Project: asdf-coordinates-schemas
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
